GZIP(1)

NOMBRE
gzip, gunzip, zcat - comprimen o expanden ficheros

SINOPSIS
gzip [ -acdfhklLnNrtvV19 ] [-S sufijo] [ nombre ... ]
gunzip [ -acfhklLnNrtvV ] [-S sufijo] [ nombre ... ]
zcat [ -fhLV ] [ nombre ... ]

DESCRIPCIÓN
Gzip reduces the size of the named files using Lempel-Ziv coding (LZ77). Whenever possible, each file is replaced by one with the extension .gz, while keeping the same ownership modes, access and modification times. (The default extension is z for MSDOS, OS/2 FAT, Windows NT FAT and Atari.) If no files are specified, or if a file name is "-", the standard input is compressed to the standard output. Gzip will only attempt to compress regular files. In particular, it will ignore symbolic links.

Si el nombre del fichero comprimido es demasiado largo para su sistema de ficheros, gzip lo trunca. Gzip intenta truncar solamente las partes del nombre del fichero que sean de más de 3 caracteres. (El delimitador de las partes es el punto.) Si el nombre consiste solamente en partes pequeñas, se truncan las mayores. Por ejemplo, si los nombres de ficheros están limitados a 14 caracteres, gzip.msdos.exe se comprime a gzi.msd.exe.gz. Los nombres no se truncan en sistemas que no tienen un límite respecto a la longitud de nombres de ficheros.

Por omisión, gzip mantiene el nombre de fichero original, así como los tiempos de acceso, etc., en el fichero comprimido. Estos datos se emplean cuando se descomprime el fichero con la opción -N. Esto es útil cuando el nombre de fichero comprimido se truncó o cuando los tiempos no se preservaron después de una transferencia.

Los ficheros comprimidos pueden restaurarse a su forma original mediante gzip -d o gunzip o zcat. Si el nombre original guardado en el fichero comprimido no es adecuado para su sistema de ficheros, se construye un nuevo nombre a partir del original de forma que sea válido para este sistema de ficheros.

gunzip takes a list of files on its command line and replaces each file whose name ends with .gz, -gz, .z, -z, or _z (ignoring case) and which begins with the correct magic number with an uncompressed file without the original extension. gunzip also recognizes the special extensions .tgz and .taz as shorthands for .tar.gz and .tar.Z respectively. When compressing, gzip uses the .tgz extension if necessary instead of truncating a file with a .tar extension.

gunzip can currently decompress files created by gzip, zip, compress, compress -H or pack. The detection of the input format is automatic. When using the first two formats, gunzip checks a 32 bit CRC. For pack and gunzip checks the uncompressed length. The standard compress format was not designed to allow consistency checks. However gunzip is sometimes able to detect a bad .Z file. If you get an error when uncompressing a .Z file, do not assume that the .Z file is correct simply because the standard uncompress does not complain. This generally means that the standard uncompress does not check its input, and happily generates garbage output. The SCO compress -H format (lzh compression method) does not include a CRC but also allows some consistency checks.

Files created by zip can be uncompressed by gzip only if they have a single member compressed with the 'deflation' method. This feature is only intended to help conversion of tar.zip files to the tar.gz format. To extract a zip file with a single member, use a command like gunzip <foo.zip or gunzip -S .zip foo.zip. To extract zip files with several members, use unzip instead of gunzip.

zcat es idéntico a gunzip -c. (En algunos sistemas, zcat puede haberse instalado como gzcat para preservar el enlace original a compress). zcat descomprime tanto una lista de ficheros en la línea de órdenes o su entrada estándar, y escribe los datos descomprimidos en la salida estándar. zcat descomprimirá ficheros que tengan el número mágico correcto tanto si tienen un sufijo .gz como si no.

Gzip emplea el algoritmo de Lempel-Zip usado en zip y PKZIP. La cantidad de compresión obtenida depende del tamaño de la entrada y de la distribución de subcadenas de caracteres comunes. Típicamente, texto en inglés o código fuente se reduce en un porcentaje del 60 al 70%. La commpresión es por lo general mucho mejor que la que se obtiene con LZW (que es lo que se usa en compress), la codificación de Huffman (lo que se usa en pack), o el código de Huffman adaptativo (usado en compact).

La compresión siempre se realiza, aunque el fichero comprimido resulte algo mayor que el original. La expansión en el peor caso es de unos pocos bytes para la cabecera del fichero gzip, más 5 bytes cada bloque de 32 kB, o una relación de expansión del 0,015% para ficheros grandes. Observe que el número de bloques de disco usados realmente casi nunca se incrementa. gzip preserva el modo, propietarios y tiempos de los ficheros, cuando comprime o cuando descomprime.

OPCIONES

-a --ascii
    Modo de texto ASCII: convierte los saltos de línea según los convenios locales. Esta opción se admite solamente en algunos sistemas no Unix. Para MS-DOS, CR LF se convierten a LF cuando se comprime, y LF se convierte a CR LF al descomprimir.

-c --stdout --to-stdout
    Escribe la salida en la salida estándar; deja los ficheros originales tal cuales. Si hay varios ficheros de entrada, la salida consiste en una secuencia de miembros comprimidos independientemente. Para conseguir una mejor compresión, concatene todos los ficheros de entrada antes de comprimirlos.

-d --decompress --uncompress
    Descomprime.

-f --force
    Fuerza la compresión o descompresión incluso si el fichero tiene varios enlaces o si el fichero correspondiente ya existe, o si los datos comprimidos se leen de, o se escriben en, una terminal. Si los datos de entrada no están en un formato reconocido por gzip, y si se ha dado también la opción --stdout, copia los datos de entrada a la salida estándar sin cambiarlos: entonces zcat se comporta como cat. Si no se da la opción -f y no se está en segundo plano, gzip pide verificación si un fichero existente está a punto de sobreescribirse.

-h --help
    Muestra una pantalla de ayuda y acaba.

-k --keep
    Keep (don't delete) input files during compression or decompression.

-l --list
    Para cada fichero comprimido, lista los siguientes campos:

        compressed size: el tamaño del fichero comprimido
        uncompressed size: el tamaño del fichero descomprimido
        ratio: relación de compresión (0.0% si no se conoce)
        uncompressed_name: nombre del fichero descomprimido

    El tamaño descomprimido se da como -1 para ficheros que no estén en formato de gzip, como los ficheros comprimidos .Z. Para obtener el tamaño descomprimido para un fichero así, puede emplearse:

        zcat fichero.Z | wc -c

    Si además se da la opción --verbose, se muestran asimismo los siguientes campos:

        method: método de compresión
        crc: el CRC de 32 bits de los datos descomprimidos
        date & time: tiempos del fichero descomprimido

    Los métodos de compresión aceptados actualmente son el hinchado o deflación, compresión, lzh (compress -H de SCO) y empaquetado. El CRC se da como ffffffff para un fichero que no esté en el formato de gzip.

    Con --name, el nombre descomprimido, fecha y hora, son los guardados en el fichero comprimido si está presente.

    Con --verbose, también se muestran los totales de tamaño y relación de compresión para todos los ficheros, a menos que algunos tamaños se desconozcan. Con --quiet, el título y los totales no se muestran.

-L --license
    Muestra la licencia de uso de gzip y acaba.

-n --no-name
    Cuando comprime, no guarda de forma predeterminada el nombre original del fichero y sus tiempos de acceso y demás. (El nombre original siempre se guarda si ha de truncarse.) Cuando descomprime, no restaura el nombre de fichero original si está presente (quita solamente el sufijo de gzip del nombre de fichero comprimido) y no restaura las marcas de tiempo originales si están presentes (las copia del fichero comprimido). Esta opción está activa por omisión cuando descomprime.

-N --name
    Al comprimir, siempre guarda el nombre de fichero original y las marcas de tiempo; este comportamiento es el predeterminado. Al descomprimir, restaura el nombre de fichero original y las marcas de tiempo si están presentes. Esta opción es útil en sistemas que tienen un límite en la longitud del nombre del fichero o cuando las marcas de tiempo se han perdido después de una transferencia de fichero.

-q --quiet
    Suprime todos los avisos.

-r --recursive
    Recorre la estructura de directorios recursivamente. Si cualquiera de los nombres de fichero especificados en la línea de órdenes son directorios, gzip descenderá en el directorio y comprimirá todos los ficheros que encuentre allí (o los descomprimirá en el caso de gunzip ).

-S .suf --suffix .suf
    When compressing, use suffix .suf instead of .gz. Any non-empty suffix can be given, but suffixes other than .z and .gz should be avoided to avoid confusion when files are transferred to other systems.

    When decompressing, add .suf to the beginning of the list of suffixes to try, when deriving an output file name from an input file name.

--synchronous
    Use synchronous output. With this option, gzip is less likely to lose data during a system crash, but it can be considerably slower.

-t --test
    Test. Comprueba la integridad del fichero comprimido.

-v --verbose
    Prolijo. Muestra el nombre y porcentaje de reducción para cada fichero comprimido o descomprimido.

-V --version
    Versión. Muestra el número de versión y las opciones de compilación y luego acaba.

-# --fast --best
    Regula la velocidad de la compresión según el dígito especificado #, donde -1 ó --fast indica el método de compresión más rápido (lo que implica una menor compresión) y -9 ó --best indica el método de compresión más lento (lo que implica la mejor compresión). EL nivel de compresión predeterminado es -6 (esto es, dirigido a una mayor compresión a expensas de la velocidad).

--rsyncable
    When you synchronize a compressed file between two computers, this option allows rsync to transfer only files that were changed in the archive instead of the entire archive. Normally, after a change is made to any file in the archive, the compression algorithm can generate a new version of the archive that does not match the previous version of the archive. In this case, rsync transfers the entire new version of the archive to the remote computer. With this option, rsync can transfer only the changed files as well as a small amount of metadata that is required to update the archive structure in the area that was changed.

EMPLEO AVANZADO
Varios ficheros comprimidos pueden concatenarse. En este caso, gunzip extraerá todos los miembros de una vez. Por ejemplo:

      gzip -c fich1 > fuu.gz
      gzip -c fich2 >> fuu.gz

Entonces

      gunzip -c foo

es equivalente a

      cat fich1 fich2

En caso de daño a un miembro de un fichero .gz, los otros aún pueden recuperarse (si se quita el miembro dañado). Sin embargo, puede obtenerse una mejor compresión comprimiendo todos los miembros de una vez:

      cat fich1 fich2 | gzip > fuu.gz

comprime mejor que

      gzip -c fich1 fich2 > fuu.gz

Si quiere recomprimir ficheros concatenados para obtener una mejor compresión, haga:

      gzip -cd viejo.gz | gzip > nuevo.gz

Si un fichero comprimido consta de varios miembros, el tamaño descomprimido y el CRC que dan la opción --list se aplica al último miembro solamente. Si necesita el tamaño descomprimido para todos los miembros, puede usar:

      gzip -cd fich.gz | wc -c

Si desea crear un solo fichero archivo con varios miembros de manera que éstos puedan extraerse más tarde independientemente, utilice un archivador como tar o zip. El tar de GNU admite la opción -z para llamar transparentemente a gzip. gzip está diseñado como un complemento de tar, no como un sustituto.

ENTORNO
The obsolescent environment variable GZIP can hold a set of default options for gzip. These options are interpreted first and can be overwritten by explicit command line parameters. As this can cause problems when using scripts, this feature is supported only for options that are reasonably likely to not cause too much harm, and gzip warns if it is used. This feature will be removed in a future release of gzip.

You can use an alias or script instead. For example, if gzip is in the directory /usr/bin you can prepend $HOME/bin to your PATH and create an executable script $HOME/bin/gzip containing the following:

      #! /bin/sh
      export PATH=/usr/bin
      exec gzip -9 "$@"

VÉASE TAMBIÉN
znew(1), zcmp(1), zmore(1), zforce(1), gzexe(1), zip(1), unzip(1), compress(1)

The gzip file format is specified in P. Deutsch, GZIP file format specification version 4.3, <https://www.ietf.org/rfc/rfc1952.txt>, Internet RFC 1952 (May 1996). The zip deflation format is specified in P. Deutsch, DEFLATE Compressed Data Format Specification version 1.3, <https://www.ietf.org/rfc/rfc1951.txt>, Internet RFC 1951 (May 1996).

DIAGNÓSTICOS
El estado de salida es normalmente 0; si ocurre un error, el estado de salida es 1. Si ocurre un aviso, es 2.

Usage: gzip [-cdfhklLnNrtvV19] [-S suffix] [file ...]
    Se han dado opciones no válidas en la línea de órdenes.

fichero: not in gzip format
    El fichero que se le ha pasado a gunzip no estaba comprimido.

fichero: Corrupt input. Use zcat to recover some data.
    El fichero comprimido está dañado. Se pueden recuperar los datos hasta donde estaba el fallo con

          zcat fichero > recover

fichero: compressed with xx bits, can only handle yy bits
    Fichero ha sido comprimido (con LZW) por un programa que ha podido tratar con más bits que con los que puede el código de descompresión en esta máquina. Recomprima el fichero con gzip, que comprime mejor y usa menos memoria.

fichero: already has .gz suffix -- unchanged
    Se supone que el fichero ya ha sido comprimido. Renombre el fichero e inténtelo de nuevo.

file already exists; do you wish to overwrite (y or n)?
    Responda "y" si quiere que el fichero de salida sea reemplazado; "n" si no.

gunzip: corrupt input
    Se ha detectado una violación de segmento SIGSEGV, que normalmente significa que el fichero de entrada se ha corrompido.

xx.x% Porcentaje de la entrada que se ha ganado en la compresión.
    (Relevante solamente para -v y -l.)

-- not a regular file or directory: ignored
    Cuando el fichero de entrada no es un fichero regular ni un directorio, (esto es, por ejemplo un enlace simbólico, zócalo, FIFO, dispositivo), se deja inalterado.

-- has xx other links: unchanged
    El fichero de entrada tiene enlaces; se deja intacto. Vea ln(1) para más información. Emplee la opción -f para forzar la compresión de ficheros con varios enlaces.

ADVERTENCIAS
When writing compressed data to a tape, it is generally necessary to pad the output with zeroes up to a block boundary. When the data is read and the whole block is passed to gunzip for decompression, gunzip detects that there is extra trailing garbage after the compressed data and emits a warning by default. You can use the --quiet option to suppress the warning.

ERRORES
The gzip format represents the input size modulo 2^32, so the --list option reports incorrect uncompressed sizes and compression ratios for uncompressed files 4 GB and larger. To work around this problem, you can use the following command to discover a large uncompressed file's true size:

      zcat fichero.gz | wc -c

La opción --list da como tamaño -1 y como CRC ffffffff si el fichero comprimido está en un medio que no admite acceso directo.

En algunos casos raros, la opción --best da peor compresión que el nivel predeterminado (-6). En algunos ficheros altamente redundantes, compress comprime mejor que gzip.

COPYRIGHT NOTICE
Copyright © 1998-1999, 2001-2002, 2012, 2015-2018 Free Software Foundation, Inc.
Copyright © 1992, 1993 Jean-loup Gailly

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Foundation.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.